# apxs script location
%{!?_httpd_apxs: %global _httpd_apxs %{_sbindir}/apxs}

Name:           mod_removeip
Version:        1.0b
Release:        1%{?dist}
Summary:        Module to remove IP from apache2's logs

Group:          System Environment/Daemons
License:        Apache Software License
URL:            http://dev.riseup.net/privacy/apache/
Source0:        http://deb.debian.org/debian/pool/main/liba/libapache-mod-removeip/libapache-mod-removeip_%{version}.orig.tar.gz
Source1:        mod_removeip.conf
Patch0:         mod_removeip.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  httpd-devel
BuildRequires:  gcc
Requires:       httpd httpd-mmn = %([ -a %{_includedir}/httpd/.mmn ] && cat %{_includedir}/httpd/.mmn || echo missing)

%description
This package provides the removeip module for the Apache 2 webserver. This module allows for overwriting Apache's environment
variable REMOTE_ADDR with a fixed value. This is necessary to anonymize all logs written by Apache and to prevent web applications
from accessing the original IP address.

Please be advised that activating this module may cause unexpected side effects to the behavior of your web applications. 

%prep
%setup -q -n libapache-mod-removeip-%{version}
%patch0 -p1


%build
cd apache2.0
%{_httpd_apxs} -Wc,"%{optflags}" -c mod_removeip.c


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/httpd/modules/
mkdir -p %{buildroot}/%{_sysconfdir}/httpd/conf.d/
install -p apache2.0/.libs/mod_removeip.so %{buildroot}/%{_libdir}/httpd/modules/
install -m644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/httpd/conf.d/

# Docs don't need to be executable
chmod -x CHANGES README

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CHANGES README
%{_libdir}/httpd/modules/mod_removeip.so
%config(noreplace) /etc/httpd/conf.d/mod_removeip.conf


%changelog
* Sun Sep 20 2020 mh <mh+rpms@immerda.ch> 1.0b-1
- Initial build
